<?

include("lib/ShoutcastInfo.class.php");
include("config.inc.php");

$error=array();

$sc=new ShoutcastInfo($host,$port);

if(!$sc->connect() ){
  array_push($error,"Server is Offline.");
}

if(count($error)==0){
	$sc->send();
	$sc->get_stat();

	echo "&news=".$sc->get_track()."\n";
	echo "&genre=".$sc->get_genre()."\n";
	echo "&listeners=".$sc->get_listener()."\n";
	echo "&listenerspeak=".$sc->get_peak()."\n";
}

?>